Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class GivenNameType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.GivenNameType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:27:40+01:00",
               comments="JAXB RI v2.3.6")
    public class GivenNameType

extends Object
implements Serializable

Java class for GivenNameType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GivenNameType">
       <simpleContent>
         <extension base="<urn:be:fgov:ehealth:rn:baselegaldata:v1>GivenNameValueType">
           <attribute name="Sequence">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}unsignedShort">
               </restriction>
             </simpleType>
           </attribute>
         </extension>
       </simpleContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GivenNameType()`

Method Summary
`Integer` | `getSequence()` Gets the value of the sequence property.
`String` | `getValue()` Gets the value of the value property.
`void` | `setSequence(Integer value)` Sets the value of the sequence property.
`void` | `setValue(String value)` Sets the value of the value property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GivenNameType

    public GivenNameType()

Method Detail

### getValue

    public String getValue()

  Gets the value of the value property.

  Returns:
    possible object is `String`

### setValue

    public void setValue(String value)

  Sets the value of the value property.

  Parameters:
    `value` - allowed object is `String`

### getSequence

    public Integer getSequence()

  Gets the value of the sequence property.

  Returns:
    possible object is `Integer`

### setSequence

    public void setSequence(Integer value)

  Sets the value of the sequence property.

  Parameters:
    `value` - allowed object is `Integer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSAUDIOLOGIST 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.